Scroll to navigation

debhelper(7) Debhelper debhelper(7)

NOM

debhelper-obsolete-compat - Liste les niveaux de compatibilité qui ne sont plus pris en charge

SYNOPSIS

Ce document contient les instructions de mise à jour depuis les niveaux de compatibilité qui ne sont plus pris en charge. Ainsi, il existe surtout pour des raisons historiques et pour ceux qui voudraient faire une mise à jour depuis un niveau de compatibilité qui n'est plus pris en charge.

Pour les mises à jour depuis un niveau de compatibilité encore pris en charge, veuillez consulter debhelper(7).

LISTE CHRONOLOGIQUE DES NIVEAUX DE COMPATIBILITÉ

La liste suivante répertorie les niveaux de compatibilité qui ne sont plus pris en charge, ainsi que les changements de l'un à l'autre.
v1
C'est le niveau initial de compatibilité de debhelper d'où son numéro 1. Dans ce mode, debhelper emploiera debian/tmp comme répertoire de l'arborescence du premier paquet binaire énuméré dans le fichier control et « debian/paquet » pour tous les autres.

Ce mode est déconseillé.

v2
Dans ce mode, debhelper emploiera uniformément « debian/paquet » comme répertoire de l'arborescence de chaque paquet construit.

Ce mode est déconseillé.

v3
Ce mode fonctionne comme v2 mais avec les ajouts suivants :
  • Les fichiers de configuration de debhelper acceptent les jokers * et ? lorsque cela a un sens. Pour désactiver cette substitution et utiliser ces caractères tels quels, il suffit de les préfixer avec une barre contre-oblique (backslash).
  • Les scripts de maintenance du paquet (postinst et postrm) feront appel à ldconfig quand dh_makeshlibs sera lancé.
  • Chaque fichier de etc/ est automatiquement marqué par dh_installdeb comme un fichier de configuration.

Ce mode est déconseillé.

v4
Les changements par rapport à la version 3 sont :
  • dh_makeshlibs -V n'inclura pas la partie Debian du numéro de version dans la ligne de dépendance produite dans le fichier shlibs.
  • Il est fortement conseillé de mettre le nouveau ${misc:Depends} dans debian/control pour compléter le champs ${shlibs:Depends}.
  • dh_fixperms rendra exécutables tous les fichiers des répertoires bin/ et etc/init.d.
  • dh_link corrigera les liens existants pour les rendre conformes à la Charte Debian.

Ce mode est déconseillé.

v5
C'est le niveau de compatibilité le plus bas pris en charge.

Les changements par rapport à la version 4 sont :

  • Les commentaires sont ignorés dans les fichiers de configuration de debhelper.
  • dh_strip --dbg-package indique maintenant le nom du paquet qui doit recevoir les symboles de mise au point et non les paquets d'où proviennent ces symboles.
  • dh_installdocs saute l'installation des fichiers vides.
  • dh_install génère des erreurs si les jokers (wildcards) ne correspondent à rien.

VOIR AUSSI

debhelper(7)

AUTEURS

Niels Thykier <niels@thykier.net>

Joey Hess

TRADUCTION

Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».

2019-09-15 12.6.1